## PkProgress

PkProgress — Transaction progress information

## Functions

PkProgress * | pk_progress_new ()
void | pk_progress_test ()
void | ( *PkProgressCallback ) ()
gboolean | pk_progress_set_package_id ()
gboolean | pk_progress_set_item_progress ()
gboolean | pk_progress_set_transaction_id ()
gboolean | pk_progress_set_percentage ()
gboolean | pk_progress_set_status ()
gboolean | pk_progress_set_role ()
gboolean | pk_progress_set_allow_cancel ()
gboolean | pk_progress_set_caller_active ()
gboolean | pk_progress_set_elapsed_time ()
gboolean | pk_progress_set_remaining_time ()
gboolean | pk_progress_set_speed ()
gboolean | pk_progress_set_download_size_remaining ()
gboolean | pk_progress_set_transaction_flags ()
gboolean | pk_progress_set_uid ()
gboolean | pk_progress_set_package ()

## Properties

gboolean | allow-cancel | Read / Write
gboolean | caller-active | Read / Write
guint | download-size-remaining | Read / Write
guint | elapsed-time | Read / Write
PkItemProgress * | item-progress | Read / Write
PkPackage * | package | Read / Write
gchar * | package-id | Read / Write
gint | percentage | Read / Write
guint | remaining-time | Read / Write
guint | role | Read / Write
guint | speed | Read / Write
guint | status | Read / Write
guint64 | transaction-flags | Read / Write
gchar * | transaction-id | Read / Write
guint | uid | Read / Write

## Types and Values

#define | PK_PROGRESS_TYPE_ERROR
enum | PkProgressType

## Object Hierarchy

        GEnum
        ╰── PkProgressType
        GObject
        ╰── PkProgress

## Description

This GObject is available to clients to be able to query details about the transaction. All of the details on this object are stored as properties.

## Functions

### pk_progress_new ()

    PkProgress *
    pk_progress_new (void);

PkProgress is a nice GObject wrapper for PackageKit and makes writing frontends easy.

#### Returns

A new `PkProgress` instance

Since: 0.5.2

### pk_progress_test ()

    void
    pk_progress_test (gpointer user_data);

### PkProgressCallback ()

    void
    (*PkProgressCallback) (PkProgress *progress,
                           PkProgressType type,
                           gpointer user_data);

### pk_progress_set_package_id ()

    gboolean
    pk_progress_set_package_id (PkProgress *progress,
                                const gchar *package_id);

#### Parameters

progress | a valid PkProgress instance |

Since: 0.5.2

### pk_progress_set_item_progress ()

    gboolean
    pk_progress_set_item_progress (PkProgress *progress,
                                   PkItemProgress *item_progress);

#### Parameters

progress | a valid PkProgress instance |

Since: 0.8.1

### pk_progress_set_transaction_id ()

    gboolean
    pk_progress_set_transaction_id (PkProgress *progress,
                                    const gchar *package_id);

#### Parameters

progress | a valid PkProgress instance |

Since: 0.5.3

### pk_progress_set_percentage ()

    gboolean
    pk_progress_set_percentage (PkProgress *progress,
                                gint percentage);

Since: 0.5.2

### pk_progress_set_status ()

    gboolean
    pk_progress_set_status (PkProgress *progress,
                            PkStatusEnum status);

Since: 0.5.2

### pk_progress_set_role ()

    gboolean
    pk_progress_set_role (PkProgress *progress,
                          PkRoleEnum role);

Since: 0.5.2

### pk_progress_set_allow_cancel ()

    gboolean
    pk_progress_set_allow_cancel (PkProgress *progress,
                                  gboolean allow_cancel);

Since: 0.5.2

### pk_progress_set_caller_active ()

    gboolean
    pk_progress_set_caller_active (PkProgress *progress,
                                   gboolean caller_active);

Since: 0.5.2

### pk_progress_set_elapsed_time ()

    gboolean
    pk_progress_set_elapsed_time (PkProgress *progress,
                                  guint elapsed_time);

Since: 0.5.2

### pk_progress_set_remaining_time ()

    gboolean
    pk_progress_set_remaining_time (PkProgress *progress,
                                    guint remaining_time);

Since: 0.5.2

### pk_progress_set_speed ()

    gboolean
    pk_progress_set_speed (PkProgress *progress,
                           guint speed);

Since: 0.5.2

### pk_progress_set_download_size_remaining ()

    gboolean
    pk_progress_set_download_size_remaining
                                   (PkProgress *progress,
                                    guint64 download_size_remaining);

Since: 0.8.0

### pk_progress_set_transaction_flags ()

    gboolean
    pk_progress_set_transaction_flags (PkProgress *progress,
                                       guint64 transaction_flags);

Since: 0.8.8

### pk_progress_set_uid ()

    gboolean
    pk_progress_set_uid (PkProgress *progress,
                         guint uid);

Since: 0.5.2

### pk_progress_set_package ()

    gboolean
    pk_progress_set_package (PkProgress *progress,
                             PkPackage *package);

Since: 0.5.2

## Types and Values

### PK_PROGRESS_TYPE_ERROR

    #define PK_PROGRESS_TYPE_ERROR		(pk_progress_error_get_type ())

### enum PkProgressType

#### Members

PK_PROGRESS_TYPE_PACKAGE_ID |  |
PK_PROGRESS_TYPE_TRANSACTION_ID |  |
PK_PROGRESS_TYPE_PERCENTAGE |  |
PK_PROGRESS_TYPE_ALLOW_CANCEL |  |
PK_PROGRESS_TYPE_STATUS |  |
PK_PROGRESS_TYPE_ROLE |  |
PK_PROGRESS_TYPE_CALLER_ACTIVE |  |
PK_PROGRESS_TYPE_ELAPSED_TIME |  |
PK_PROGRESS_TYPE_REMAINING_TIME |  |
PK_PROGRESS_TYPE_SPEED |  |
PK_PROGRESS_TYPE_DOWNLOAD_SIZE_REMAINING |  |
PK_PROGRESS_TYPE_UID |  |
PK_PROGRESS_TYPE_PACKAGE |  |
PK_PROGRESS_TYPE_ITEM_PROGRESS |  |
PK_PROGRESS_TYPE_TRANSACTION_FLAGS |  |
PK_PROGRESS_TYPE_INVALID |  |

## Property Details

### The `“allow-cancel”` property

      “allow-cancel”             gboolean

Flags: Read / Write

Default value: FALSE

Since: 0.5.2

### The `“caller-active”` property

      “caller-active”            gboolean

Flags: Read / Write

Default value: FALSE

Since: 0.5.2

### The `“download-size-remaining”` property

      “download-size-remaining”  guint

Flags: Read / Write

Default value: 0

Since: 0.8.0

### The `“elapsed-time”` property

      “elapsed-time”             guint

Flags: Read / Write

Default value: 0

Since: 0.5.2

### The `“item-progress”` property

      “item-progress”            PkItemProgress *

Flags: Read / Write

### The `“package”` property

      “package”                  PkPackage *

Flags: Read / Write

Since: 0.5.3

### The `“package-id”` property

      “package-id”               gchar *

The full package_id, e.g. 'gnome-power-manager;0.1.2;i386;fedora'.

Flags: Read / Write

Default value: NULL

Since: 0.5.2

### The `“percentage”` property

      “percentage”               gint

Flags: Read / Write

Allowed values: >= -1

Default value: -1

Since: 0.5.2

### The `“remaining-time”` property

      “remaining-time”           guint

Flags: Read / Write

Default value: 0

Since: 0.5.2

### The `“role”` property

      “role”                     guint

Flags: Read / Write

Allowed values: <= 34

Default value: 0

Since: 0.5.2

### The `“speed”` property

      “speed”                    guint

Flags: Read / Write

Default value: 0

Since: 0.5.2

### The `“status”` property

      “status”                   guint

Flags: Read / Write

Allowed values: <= 36

Default value: 0

Since: 0.5.2

### The `“transaction-flags”` property

      “transaction-flags”        guint64

Flags: Read / Write

Default value: 0

Since: 0.8.8

### The `“transaction-id”` property

      “transaction-id”           gchar *

The transaction_id, e.g. '/892_deabbbdb_data'.

Flags: Read / Write

Default value: NULL

Since: 0.5.2

### The `“uid”` property

      “uid”                      guint

Flags: Read / Write

Default value: 0

Since: 0.5.2